<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>2D转换</title>
    <style>
        .transform-warp{
            width: 100px;
            height: 50px;
            background-color: red;
            margin-bottom: 50px;
        }
        .transform-warp-tn{
            transform: translate(20px,20px);
        }
        .transform-warp-rd{
            transform: rotate(180deg);
        }
        .transform-warp-sn{
            transform: scale(.5,.5);
        }
        .transform-warp-sa{
            display: inline-flex;
            transform: skew(30deg,30deg);
        }
    </style>
    
</head>
<body>
    <div class="transform-warp transform-warp-tn">translate</div>
    <div class="transform-warp transform-warp-rd">rotate</div>
    <div class="transform-warp transform-warp-sn">scale</div>
    <div class="transform-warp transform-warp-sa">skew</div>
</body>
</html>